Subject: RE: New BPI MIB: docsBpiCmtsDefaultAuth/TEKGraceTime

From: Kazuyoshi Ozawa <[email-masked]>
Date: Tue, 11 Jan 2000 08:38:41 -0700

Now I understand as follows.

(1) The BPI Spec does not require the CMTS to use the Auth/TEK
Grace Time for its key management.  Therefore, there may be a
CMTS which does not need any Auth/TEK Grace Time value at all.

(2) There may be a CMTS which needs the Auth/TEK Grace Time
for its key management.  However, the CMTS can get the Grace
Time for each CM from Reg Req message and write function of
docsBpiCmtsDefaultAuth/TEKGraceTime is not essential.

(3) From the operators' point of view, it may be better to
eliminate the docsBpiCmtsDefaultAuth/TEKGraceTime because
it eliminate one of the CMTS settings which requires the
operator to set docsBpiCmtsDefaultAuth/TEKGraceTime to an 
appropriate value.  A little bit complicated point for the
operators is that the value of Auth/TEK Grace Time MUST
always be set to the value less than half of the Auth/TEK 
Lifetime value and the vaiolation of this rule may break 
the system (depending the CMTSs' and the CMs' implementation).

These three are (a part of) the reason to remove 
docsBpiCmtsDefaultAuth/TEKGraceTime.

(4) When considering the CMTS which does not use these
Grace Times at all, it may be better to change
docsBpiCmtsAuthCmGraceTime and docsBpiCmtsTEKGraceTime
to optional.  For example, allow the CMTS to always return
zero if the CM does not use the Grace Time for its key
management.  Because the operator can get the value for
a specific CM from the CM's BPI MIB tables, I don't think
we loose anything by this change.

Thanks,
kaz

> -----Original Message-----
> From: Man Wong [mailto:[email-masked]]
> Sent: Monday, January 10, 2000 10:49 PM
> To: [email-masked]
> Subject: Re: New BPI MIB: docsBpiCmtsDefaultAuth/TEKGraceTime
> 
> 
> CMTS can get the grace period associated with each CM during 
> CM registration.
> They are TLVs in the registration message. CMTS may need to 
> know the grace
> times in BPI CMTS and it depends on the CMTS implementation. 
> I don't think
> we need to remove them.
> 
> - mansonw
>  
> 
> > 
> > If it's ok to remove these 2 objects, I think we also need to 
> > remove the following 2 objects because the CMTS does not know
> > these values at all.
> > 
> >    docsBpiCmtsAuthCmGraceTime
> >    docsBpiCmtsTEKGraceTime
> > 
> > Thanks,
> > kaz
> > 
> > > -----Original Message-----
> > > From: Man Wong [mailto:[email-masked]]
> > > Sent: Monday, January 10, 2000 10:23 PM
> > > To: [email-masked]
> > > Subject: Re: New BPI MIB: docsBpiCmtsDefaultAuth/TEKGraceTime
> > > 
> > > 
> > > > 
> > > > I am now reviewing the new BPI MIB draft again but I cannot
> > > > remember why we need to remove both 
> docsBpiCmtsDefaultAuthGraceTime
> > > > and docsBpiCmtsDefaultTEKGraceTime.
> > > 
> > > Grace times are not CMTS parameters. There is no use for 
> > > default values
> > > in the CMTS. All CMs running BPI will have their own grace 
> > > periods which
> > > comes from config file. 
> > > 
> > > > 
> > > > I remember that, according to the BPI spec, the CMTS is not 
> > > > required to use the TEK/Auth Grace Time for their key 
> management. 
> > > > However, at the same time, I think that there are some 
> CMTSs which 
> > > > are actually using these values for their key management......
> > > > 
> > > > If it's ok for all the CMTS vendors to remove these 2 
> object, I'm 
> > > > fine.  Therefore, I definitly welcome the review by the 
> > > CMTS vendors.
> > > > 
> > > 
> > > It is fine with Cisco CMTS to have them removed.
> > > 
> > > - mansonw
> > > 
> > > 
> > > > Thank you for your help.
> > > > kaz
> > > > 
> > > > Kaz Ozawa
> > > > Toshiba Visiting Engineer at CableLabs
> > > > Tel: 303-661-3860 (direct); 9199 (fax); 9100 (main)
> > > > Email: [email-masked] / [email-masked]
> > > > 
> > > > 
> > > 
> > 
> > 
>